<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:faultTree ="http://www.hiphops.com/namespace/faultTree"
	  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

>

  <xsl:template match="FaultTrees">
     USETEXTLINKS = 1
      STARTALLOPEN = 0
      HIGHLIGHT = 1
      PRESERVESTATE = 1
      GLOBALTARGET="R"
      ICONPATH = 'FTOutput/images/'
      foldersTree = gFld("FaultTrees","javascript:toggleAllFolders(foldersTree)")

      <xsl:variable name="auxVal" select="'foldersTree'" />
      <xsl:call-template name="Children">
        <xsl:with-param name="parentVal" select="$auxVal"/>
      </xsl:call-template>


      foldersTree.treeID = "L1"
      foldersTree.xID = "bigtree"
      foldersTree.iconSrc = ICONPATH + "model.gif";
      foldersTree.iconSrcClosed = ICONPATH + "model.gif";
    
  </xsl:template>
  <xsl:template match="FaultTree">
    <xsl:variable name="auxVal" select="generate-id()" />

    aux<xsl:value-of select="$auxVal" />  = gFld("<xsl:value-of select="Name"/>", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    aux<xsl:value-of select="$auxVal" />.xID = "f<xsl:value-of select="$auxVal" />";
    aux<xsl:value-of select="$auxVal" />.iconSrc = ICONPATH + "FaultTree.gif";
    aux<xsl:value-of select="$auxVal" />.iconSrcClosed = ICONPATH + "FaultTree.gif";

    <xsl:apply-templates select="OutputDeviation"/>
   
  aux<xsl:value-of select="$auxVal" />.addChildren([<xsl:for-each select="OutputDeviation">
    <xsl:variable name="subAuxVal" select="generate-id()" />
    <xsl:if test="position() &gt; 1"> , </xsl:if>
    aux<xsl:value-of select="$subAuxVal" />
  </xsl:for-each>
  
  ]);

</xsl:template>

  <xsl:template match="OutputDeviation">
    <xsl:variable name="auxVal" select="generate-id()" />
    <xsl:variable name="auxValStr">
      aux<xsl:value-of select="$auxVal" />
    </xsl:variable>

    <xsl:value-of select="$auxValStr" />  = gFld("<xsl:value-of select="Name"/> (<xsl:value-of select="@ID"/>)", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    <xsl:value-of select="$auxValStr" />.xID = "f<xsl:value-of select="$auxVal" />";
    <xsl:value-of select="$auxValStr" />.iconSrc = ICONPATH + "OutputDeviation.gif";
    <xsl:value-of select="$auxValStr" />.iconSrcClosed = ICONPATH + "OutputDeviation.gif";
    
    <xsl:apply-templates select="Children">
      <xsl:with-param name="parentVal" select="$auxValStr"/>
    </xsl:apply-templates>

      

</xsl:template>

  <xsl:template match="Children" name="Children">
    <xsl:param name="parentVal"/>
    <xsl:apply-templates/>
    
    <xsl:value-of select="$parentVal" />.addChildren([<xsl:for-each select="*">
      <xsl:variable name="subAuxVal" select="generate-id()" />
      <xsl:if test="position() &gt; 1"> , </xsl:if>
      aux<xsl:value-of select="$subAuxVal" />
    </xsl:for-each>

    ]);

  </xsl:template>


  <xsl:template match="Or">
    <xsl:variable name="auxVal" select="generate-id()" />
    <xsl:variable name="auxValStr">
      aux<xsl:value-of select="$auxVal" />
    </xsl:variable>

    <xsl:value-of select="$auxValStr" />  = gFld("<xsl:value-of select="Name"/> (<xsl:value-of select="@ID"/>)", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    <xsl:value-of select="$auxValStr" />.xID = "f<xsl:value-of select="$auxVal" />";
    <xsl:value-of select="$auxValStr" />.iconSrc = ICONPATH + "Or.gif";
    <xsl:value-of select="$auxValStr" />.iconSrcClosed = ICONPATH + "Or.gif";

    <xsl:apply-templates select="Children">
      <xsl:with-param name="parentVal" select="$auxValStr"/>
    </xsl:apply-templates>



  </xsl:template>

  <xsl:template match="And">
    <xsl:variable name="auxVal" select="generate-id()" />
    <xsl:variable name="auxValStr">
      aux<xsl:value-of select="$auxVal" />
    </xsl:variable>

    <xsl:value-of select="$auxValStr" />  = gFld("<xsl:value-of select="Name"/> (<xsl:value-of select="@ID"/>)", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    <xsl:value-of select="$auxValStr" />.xID = "f<xsl:value-of select="$auxVal" />";
    <xsl:value-of select="$auxValStr" />.iconSrc = ICONPATH + "and.gif";
    <xsl:value-of select="$auxValStr" />.iconSrcClosed = ICONPATH + "and.gif";

    <xsl:apply-templates select="Children">
      <xsl:with-param name="parentVal" select="$auxValStr"/>
    </xsl:apply-templates>



  </xsl:template>

  <xsl:template match="Transfer">
    <xsl:variable name="auxVal" select="generate-id()" />
    <xsl:variable name="auxValStr">
      aux<xsl:value-of select="$auxVal" />
    </xsl:variable>

    <xsl:value-of select="$auxValStr" />  = gFld("Transfer to (<xsl:value-of select="@ID"/>)", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    <xsl:value-of select="$auxValStr" />.xID = "f<xsl:value-of select="$auxVal" />";
    <xsl:value-of select="$auxValStr" />.iconSrc = ICONPATH + "transfer.gif";
    <xsl:value-of select="$auxValStr" />.iconSrcClosed = ICONPATH + "transfer.gif";

    <xsl:apply-templates select="Children">
      <xsl:with-param name="parentVal" select="$auxValStr"/>
    </xsl:apply-templates>


  </xsl:template>

  <xsl:template match="BasicEvent">
    <xsl:variable name="auxVal" select="generate-id()" />
    <xsl:variable name="auxValStr">
      aux<xsl:value-of select="$auxVal" />
    </xsl:variable>

    <xsl:value-of select="$auxValStr" />  = gFld("<xsl:value-of select="Name"/> (<xsl:value-of select="@ID"/>)", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
    <xsl:value-of select="$auxValStr" />.xID = "f<xsl:value-of select="$auxVal" />";
    <xsl:value-of select="$auxValStr" />.iconSrc = ICONPATH + "failuremode.gif";
    <xsl:value-of select="$auxValStr" />.iconSrcClosed = ICONPATH + "failuremode.gif";


   
  </xsl:template>
  </xsl:stylesheet>