<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:faultTree ="http://www.hiphops.com/namespace/faultTree"
	  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

>

  <xsl:template match="FaultTrees">
    <HTML>
      <HEAD>
        <TITLE>Fault Tree View</TITLE>
      </HEAD>
      <BODY>
          <xsl:apply-templates select="FaultTree"/>           
          
       
      </BODY>
    </HTML>
  </xsl:template>
  <xsl:template match="FaultTree">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/>
    <br/>
    <xsl:apply-templates select="OutputDeviation"/>
    

</xsl:template>

  <xsl:template match="OutputDeviation">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/> ( <xsl:value-of select="@ID"/> )
    <br/>
    <xsl:apply-templates select="Children"/>


  </xsl:template>

  <xsl:template match="Children">

    <xsl:apply-templates select="*"/>



  </xsl:template>

  <xsl:template match="Or">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/> ( <xsl:value-of select="@ID"/> )
    <br/>
    <xsl:apply-templates select="Children"/>

  </xsl:template>

  <xsl:template match="BasicEvent">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/> ( <xsl:value-of select="@ID"/> )
    <br/>
    <xsl:apply-templates select="Children"/>

  </xsl:template>

  <xsl:template match="And">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/> ( <xsl:value-of select="@ID"/> )
    <br/>
    <xsl:apply-templates select="Children"/>

  </xsl:template>

  <xsl:template match="Transfer">

    <xsl:value-of select="local-name()"/> == <xsl:value-of select="Name"/> ( <xsl:value-of select="@ID"/> )
    <br/>
    <xsl:apply-templates select="Children"/>

  </xsl:template>



</xsl:stylesheet>